package com.device.comm.mylibrary.NativeDevice.cgmadi.enums;

public enum OPCode
{
  SET("Set", Byte.valueOf((byte)97)),  GET("Get", Byte.valueOf((byte)98));
  
  private String name;
  private Byte value;
  
  private OPCode(String name, Byte value)
  {
    this.name = name;
    this.value = value;
  }
  
  public static OPCode valueOf(Byte value)
  {
    switch (value.byteValue())
    {
    case 97: 
      return SET;
    case 98: 
      return GET;
    }
    return null;
  }
  
  public String getName()
  {
    return this.name;
  }
  
  public void setName(String name)
  {
    this.name = name;
  }
  
  public Byte getValue()
  {
    return this.value;
  }
  
  public void setValue(Byte value)
  {
    this.value = value;
  }
}


/* Location:              /Users/lvwang2002/Desktop/CodeSource/work/DY_GLUCOSE/thapi_test/libs/cgmthapi.jar!/com/sanme/cgmadi/bluetooth4/enums/OPCode.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */